package com.swa.customview;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.LinearGradient;
import android.graphics.Paint;
import android.graphics.RadialGradient;
import android.graphics.Shader.TileMode;
import android.util.AttributeSet;
import android.view.View;

public class TestView extends View {

	public TestView(Context context) {
		super(context);
	}
	
	

	public TestView(Context context, AttributeSet attrs, int defStyle) {
		super(context, attrs, defStyle);
		
	}


	public TestView(Context context, AttributeSet attrs) {
		super(context, attrs);
	}



	@Override
	protected void onDraw(Canvas canvas) {
		super.onDraw(canvas);
		Paint p = new Paint();
		p.setColor(Color.GREEN);
		p.setStrokeWidth(1);
		p.setStyle(Paint.Style.FILL_AND_STROKE);
		LinearGradient lg = new LinearGradient(0F, 0F, 115F,115F, Color.GREEN,  Color.YELLOW, TileMode.CLAMP);
		p.setShader(lg);
		canvas.drawRect(5, 5, 120, 120, p);
		invalidate();
	}
	
	
	
	

}
